Skip to main content
GET
/
library
/
v1
/
{libId}
/
categoryValueMappings
cURL
curl --request GET \
  --url https://aodocs.altirnao.com/api/library/v1/{libId}/categoryValueMappings \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "displayName": "<string>",
      "entries": [
        {
          "sourceValue": {
            "ancestors": "<array>",
            "id": "<string>",
            "kind": "<string>",
            "leaf": true,
            "leafInNotOutdatedTree": true,
            "name": "<string>",
            "name_i18n": "<string>",
            "outdated": true,
            "parentId": "<string>",
            "shortName": "<string>",
            "value": "<string>"
          },
          "targetValues": [
            {
              "ancestors": "<array>",
              "id": "<string>",
              "kind": "<string>",
              "leaf": true,
              "leafInNotOutdatedTree": true,
              "name": "<string>",
              "name_i18n": "<string>",
              "outdated": true,
              "parentId": "<string>",
              "shortName": "<string>",
              "value": "<string>"
            }
          ]
        }
      ],
      "id": "<string>",
      "kind": "<string>",
      "libraryId": "<string>",
      "sourceCategoryDefinition": {
        "description": "<string>",
        "dynamicValues": true,
        "folder": true,
        "id": "<string>",
        "kind": "<string>",
        "levelNames": [
          "<string>"
        ],
        "levelNames_i18n": [
          "<string>"
        ],
        "libraryId": "<string>",
        "name": "<string>",
        "tags": true,
        "value": "<string>"
      },
      "targetCategoryDefinition": {
        "description": "<string>",
        "dynamicValues": true,
        "folder": true,
        "id": "<string>",
        "kind": "<string>",
        "levelNames": [
          "<string>"
        ],
        "levelNames_i18n": [
          "<string>"
        ],
        "libraryId": "<string>",
        "name": "<string>",
        "tags": true,
        "value": "<string>"
      }
    }
  ],
  "kind": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

libId
string
required

The ID of the library

Query Parameters

securityCode
string

The security code

domain
string

The G Suite domain

Response

200 - application/json

A ApiCategoryValueMappingList response

items
object[]

The list of category value mappings

kind
string

The resource kind